%define name gnucash
%define version 1.3.1
%define rel 4mdk

Name: %{name}
Summary: GnuCash is an application to keep track of your finances.
Version: %{version}
Release: %{rel}
Copyright: Free Software Foundation
Group: Office
Source: %{name}-%{version}.tar.bz2
Source1: gnome-money.xpm
Packager: Francis Galiegue <fg@mandrakesoft.com>
Distribution: Linux-Mandrake
Vendor: MandrakeSoft
BuildRoot: /var/tmp/%{name}-buildroot
URL: http:/www.gnucash.org
# (fg) Patch to prevent profiling, gnucash activates it by default (?)
Patch0: gnucash-noprofiling.patch.bz2
# (fg) Patch to compile with perl 5.6.0, credits to Pixel
Patch1: gnucash-perl506-compile-fix.patch.bz2

Requires: swig eperl

%description
GnuCash is a personal finance manager. A check-book like
register GUI allows you to enter and track bank accounts,
stocks, income and even currency trades. The interface is
designed to be simple and easy to use, but is backed with
double-entry accounting principles to ensure balanced books.


%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure
make gnome


%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/usr install

# (fg) The icon

mkdir -p $RPM_BUILD_ROOT/usr/share/icons/mini
cd $RPM_BUILD_ROOT/usr/share/icons
cp %{SOURCE1} .
convert gnome-money.xpm -geometry 16x16 mini/gnome-money.xpm

# (fg) Menu entry 
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
cat >$RPM_BUILD_ROOT/usr/lib/menu/gnucash <<EOF
?package(gnucash): command="/usr/bin/gnucash" icon="gnome-money.xpm" needs="X11" \
section="Office" title="GNUCash" longtitle="Personal finance manager"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

# (fg) THe following are also for menus
%post
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true

%postun
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true

%files
%defattr(-,root,root,755)
/usr/bin/*
/usr/lib/gnucash
/usr/share/gnucash
%dir /usr/share/icons
/usr/share/icons/gnome-money.xpm
%dir /usr/share/icons/mini
/usr/share/icons/mini/gnome-money.xpm
# (fg) Not this file, we now use the menu system of Debian
#/usr/share/gnome/apps/Applications/gnucash.desktop
%dir /usr/share/locale/*/LC_MESSAGES
/usr/share/locale/*/LC_MESSAGES/*
%doc /usr/doc/gnucash

%changelog

* Mon Apr 10 2000 Francis Galiegue <fg@mandrakesoft.com> 1.3.1-4mdk

- Patched to compile with perl 5.6.0

* Wed Mar 22 2000 Francis Galiegue <fg@mandrakesoft.com> 1.3.1-3mdk

- Icon for menu entry
- Rebuilt on kenobi


* Mon Mar 13 2000 Francis Galiegue <francis@mandrakesoft.com> 1.3.1-2mdk

- Menu'ized, changed group to Office (was: Applications/Finance)


* Mon Mar 13 2000 Francis Galiegue <francis@mandrakesoft.com>

- First RPM for Mandrake

* Mon Feb 29 2000 Christian Schaller <Uraues@linuxrising.org>
- Updated for use with TurboLinux and some minor SPEC changes
